Bug 127358 - [new port] www/apache22-peruser: apache22 peruser mpm (slave) port
Summary: [new port] www/apache22-peruser: apache22 peruser mpm (slave) port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-apache (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-13 16:00 UTC by Jille
Modified: 2008-12-29 00:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jille 2008-09-13 16:00:10 UTC
	Peruser is an Apache 2 modules based on metuxmpm. The fundamental concept behind them is to run each apache child process as its own user and group, each handling its own set of virtual hosts. Peruser and recent metuxmpm releases can also chroot() apache processes. The result is a sane and secure web server environment for your users, without kludges like PHP's safe_mode.


	Original site: http://telana.com/peruser.php
	Patchsets: http://source.kood.ee/
	Mailinglist: peruser@telana.com (open for questions)

Fix: 

[SHAR] http://junk.quis.cx/hwGgcajE/peruser.sh
Comment 1 Clement Laforet freebsd_committer 2008-09-13 16:42:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Grab.
Comment 2 dfilter service freebsd_committer 2008-12-15 22:20:37 UTC
clement     2008-12-15 22:20:23 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/apache22-peruser-mpm Makefile pkg-descr 
    www/apache22-peruser-mpm/files 
                                   httpd-2.2.3-peruser-0.3.0-dc2.patch 
                                   httpd-2.2.3-peruser-0.3.0.patch 
  Log:
  - Add apache22-peruser-mpm
  
  Peruser is an Apache 2 modules based on metuxmpm. The fundamental
  concept behind them is to run each apache child process as its own
  user and group, each handling its own set of virtual hosts. Peruser
  and recent metuxmpm releases can also chroot() apache processes.
  The result is a sane and secure web server environment for your
  users, without kludges like PHP's safe_mode.
  
  PR:                     ports/127358
  Submitted by:           Jille Timmermans <jille at quis dot cx>
  
  Revision  Changes    Path
  1.2205    +1 -0      ports/www/Makefile
  1.1       +22 -0     ports/www/apache22-peruser-mpm/Makefile (new)
  1.1       +844 -0    ports/www/apache22-peruser-mpm/files/httpd-2.2.3-peruser-0.3.0-dc2.patch (new)
  1.1       +3498 -0   ports/www/apache22-peruser-mpm/files/httpd-2.2.3-peruser-0.3.0.patch (new)
  1.1       +8 -0      ports/www/apache22-peruser-mpm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Philip M. Gollucci freebsd_committer 2008-12-27 20:29:48 UTC
Responsible Changed
From-To: clement->apache

apache team
Comment 4 Philip M. Gollucci freebsd_committer 2008-12-29 00:21:02 UTC
State Changed
From-To: open->closed

already done by clement@